Reopen Comment

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API reopens a specific comment.

Note:
Only parent comments can be resolved/reopened
Endpoints

OAuth Scope

WorkDrive.comments.UPDATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request PATCH \
  --url https://www.zohoapis.com/workdrive/api/v1/comments/{comment_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"resolved":false},"type":"comments"}}'

Path Parameters

comment_idstring(Required)

The unique ID of the comment

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
resolvedboolean(Required)

Set to "false" to reopen the comment.

typestring(Required)

The JSON:API resource type. Always "comments".

Allowed Values :
Show Values
commentsCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "resolved": false
      },
      "type": "comments"
    }
  }
                
Show full

Response Example

U010

R008

R008

U043

A001

C003

R017

R017

F7003

F000

C005

C004

I029

200
200
400
401
404
500
Copied!
  {
    "data": {
      "id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064",
      "type": "comments",
      "attributes": {
        "commented_by": "Zylker Creation",
        "created_time": "Apr 13, 1:24 PM",
        "capabilities": {
          "can_delete_comment": true,
          "can_edit_comment": true,
          "can_replyto_comment": true,
          "can_resolve_comment": true
        },
        "commented_email_id": "zylker@zylker.com",
        "modified_email_id": "zylker@zylker.com",
        "comment_html": "Fine",
        "version": "1.0",
        "modified_time": "Apr 13, 1:24 PM",
        "commented_by_zuid": 747938014,
        "modified_by_zuid": 747938014,
        "modified_by": "Zylker Creation",
        "contacts_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb",
        "resource_id": "ly9zm850678101cec4b0698777ab4534a3002",
        "created_time_in_millis": 1618300488998,
        "modified_time_in_millis": 1618300488998,
        "top_version": true,
        "resolved": false
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/comments/ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "U010",
        "title": "User not a part of this zsoid"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U043",
        "title": "Invalid ZUID"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "A001",
        "title": "Invalid action type passed"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "C003",
        "title": "Given comment id is invalid or doesn't exist"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R017",
        "title": "Current plan does not support to perform this API"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "C005",
        "title": "Comment has unauthorized mentions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "C004",
        "title": "Comment has unauthorized mentions"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "I029",
        "title": "Requested resource not available in installed team"
      }
    ]
  }
                
Show full